extends layout

block headContent
	+title('Unconfirmed Transactions')

block content
	h1.h3 Unconfirmed Transactions
	hr

	if (txpoolDetails)
		- var txCount = txpoolDetails.txCount;

		div.card.shadow-sm.mb-3
			div.card-body
				h3.h6.mb-0
					if (txCount == 1)
						span 1 Transaction
					else
						span #{txCount.toLocaleString()} Transactions

				hr

				each tx, txIndex in txpoolDetails.transactions
					div.card.shadow-sm.mb-3
						div.card-header.text-monospace
							if (tx && tx.txid)
								span ##{(txIndex + offset).toLocaleString()} 
								span &ndash; 
								a(href=("/tx/" + tx.txid)) #{tx.txid} 
								span &ndash; 
									- var timestampHuman = tx.time;
									include includes/timestamp-human.pug

						div.card-body
							- var txInputs = txpoolDetails.txInputsByTransaction[tx.txid];
							- var blockHeight = -1;

							include includes/transaction-io-details.pug

				if (txCount > limit)
					- var pageNumber = offset / limit + 1;
					- var pageCount = Math.floor(txCount / limit);
					- if (pageCount * limit < txCount) {
						- pageCount++;
					- }
					- var paginationUrlFunction = function(x) {
						- return paginationBaseUrl + "?limit=" + limit + "&offset=" + ((x - 1) * limit + "&sort=" + sort);
					- }

					hr

					include includes/pagination.pug
	else
		p No unconfirmed transactions found
